Bug 74865 - Remove Avidemux-0.9
Summary: Remove Avidemux-0.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-08 19:20 UTC by amistry
Modified: 2004-12-09 00:12 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description amistry 2004-12-08 19:20:12 UTC
	
	This port needs to die since Avidemux2 has MUCH better cross platform support as well as it is no longer maintained by the author.

How-To-Repeat: 
--- avidemux-die.patch begins here ---
diff -ruN avidemux.orig/Makefile avidemux/Makefile
--- avidemux.orig/Makefile	Wed Dec  8 14:08:07 2004
+++ avidemux/Makefile	Wed Dec 31 19:00:00 1969
@@ -1,74 +0,0 @@
-# New ports collection makefile for:    avidemux
-# Date created:         15 August 2002
-# Whom:                 Anish Mistry
-#                       with help from mean
-# $FreeBSD: ports/multimedia/avidemux/Makefile,v 1.19 2004/06/11 21:48:47 lofi Exp $
-#
-
-PORTNAME=	avidemux
-PORTVERSION=	0.9.0.110
-PORTREVISION=	2
-CATEGORIES=	multimedia
-MASTER_SITES=	http://fixounet.free.fr/avidemux/
-DISTNAME=	avidemux-0.9
-EXTRACT_SUFX=	.tgz
-
-MAINTAINER=	amistry@am-productions.biz
-COMMENT=	Simple GUI-based video editor
-
-LIB_DEPENDS=	mp3lame.0:${PORTSDIR}/audio/lame \
-		mad.2:${PORTSDIR}/audio/mad \
-		freetype.9:${PORTSDIR}/print/freetype2
-BUILD_DEPENDS=	\
-	${X11BASE}/include/X11/extensions/Xvlib.h:${PORTSDIR}/graphics/xv
-
-PLIST_FILES=	bin/avidemux
-USE_REINPLACE=	yes
-USE_X_PREFIX=	yes
-USE_GNOME=	gtk12
-GNU_CONFIGURE=	yes
-CONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include \
-		-I${LOCALASE}/include/ffmpeg \
-		-I${LOCALBASE}/include/a52dec" \
-		LIBFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib" \
-		LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib"
-CONFIGURE_ARGS=	--disable-warnings
-USE_GMAKE=	yes
-
-.include <bsd.port.pre.mk>
-
-.if ${ARCH} != "i386"
-IGNORE=		requires an x86-32 processor, if you are using other platforms install avidemux2, which includes support for non-i386 systems
-.endif
-
-.if exists(${LOCALBASE}/lib/liba52.so.0)
-WITH_A52=	yes
-.endif
-
-.if exists(${LOCALBASE}/lib/libxvidcore.so.4)
-WITH_XVID=	yes
-.endif
-
-.if defined(WITH_XVID)
-LIB_DEPENDS+=	xvidcore.4:${PORTSDIR}/multimedia/xvid
-CONFIGURE_ARGS+=	--with-xvid-as-decoder
-.endif
-
-.if defined(WITH_A52)
-LIB_DEPENDS+=	a52.0:${PORTSDIR}/audio/liba52
-.endif
-
-pre-everything::
-.if !defined(WITH_XVID)
-	@${ECHO_MSG} "To enable xvid as the decoder define WITH_XVID."
-.endif
-
-.if !defined(WITH_A52)
-	@${ECHO_MSG} "To enable A/52 support define WITH_A52."
-.endif
-
-post-patch:
-	@${TOUCH} ${WRKSRC}/*
-	@${REINPLACE_CMD} 's|-lpthread|${PTHREAD_LIBS}|g' ${WRKSRC}/configure
-
-.include <bsd.port.post.mk>
diff -ruN avidemux.orig/README.html avidemux/README.html
--- avidemux.orig/README.html	Wed Dec  8 14:08:07 2004
+++ avidemux/README.html	Wed Dec 31 19:00:00 1969
@@ -1,43 +0,0 @@
-<!DOCTYPE html PUBLIC "-//IETF//DTD HTML 2.0//EN">
-
-<html>
-  <head>
-    <title>The FreeBSD Ports Collection (multimedia/avidemux)</title>
-  </head>
-
-  <body>
-    <h1>The FreeBSD Ports Collection (multimedia/avidemux)</h1>
-    <hr>
-
-    <p>You are now in the directory for the port "multimedia/avidemux".</p>
-
-    <p>The package name of this port is "avidemux-0.9.0.110_2".</p>
-
-    <p>This is the one-line description for this port:</p>
-    <hr>
-
-    <p>
-Simple GUI-based video editor
-    </p>
-    <hr>
-
-    <p>Please read the "<a href="pkg-descr">description file</a>" for a
-    longer description and/or visit the <a href="http://fixounet.free.fr/avidemux/">web site</a> for futher informations.</p>
-
-    <p>If needed, you may contact the <a href=
-    "mailto:amistry@am-productions.biz">maintainer</a> of this port or the port <a href=
-    "mailto:ports@FreeBSD.org">mailing-list</a>.</p>
-
-    <p>This port requires package(s) "XFree86-libraries-4.3.0_6 expat-1.95.7 fontconfig-2.2.90_5 freetype2-2.1.5_2 gettext-0.13.1_1 glib-1.2.10_10 gmake-3.80_2 gtk-1.2.10_11 imake-4.3.0_2 jpeg-6b_1 lame-3.95.1_2 libiconv-1.9.1_3 libid3tag-0.15.0b_1 libmad-0.15.0b mad-0.15.0b madplay-0.15.0b_2 perl-5.8.2_5 pkgconfig-0.15.0_1 png-1.2.5_3 tiff-3.6.1_1 xv-3.10a_3" to build.</p>
-
-    <p>This port requires package(s) "XFree86-libraries-4.3.0_6 expat-1.95.7 fontconfig-2.2.90_5 freetype2-2.1.5_2 gettext-0.13.1_1 glib-1.2.10_10 gtk-1.2.10_11 imake-4.3.0_2 lame-3.95.1_2 libiconv-1.9.1_3 libid3tag-0.15.0b_1 libmad-0.15.0b mad-0.15.0b madplay-0.15.0b_2 perl-5.8.2_5 pkgconfig-0.15.0_1" to run.</p>
-
-    <p>Go to the <a href="../../README.html">top of the ports tree</a> for
-    a summary on how to use the ports collection.</p>
-    <hr>
-
-    <p><a-    "../../README.html">Go to top of ports tree</a></p>
-  </body>
-</html>
-
diff -ruN avidemux.orig/distinfo avidemux/distinfo
--- avidemux.orig/distinfo	Wed Dec  8 14:08:07 2004
+++ avidemux/distinfo	Wed Dec 31 19:00:00 1969
@@ -1,2 +0,0 @@
-MD5 (avidemux-0.9.tgz) = ccadde58eb5f00473d7c2ee5d04bca51
-SIZE (avidemux-0.9.tgz) = 1771162
diff -ruN avidemux.orig/pkg-descr avidemux/pkg-descr
--- avidemux.orig/pkg-descr	Wed Dec  8 14:08:07 2004
+++ avidemux/pkg-descr	Wed Dec 31 19:00:00 1969
@@ -1,9 +0,0 @@
-A simple GUI based video editor that is built around Xvid and lavcodec. 
-Contains various filters for deinterlacing, cropping, resizing, etc.  Allows
-for cutting without re-encoding.  Has the ability to re-encode and re-sample.
-
-WWW: http://fixounet.free.fr/avidemux/
-
-- Anish Mistry
-amistry@am-productions.biz
-AM Productions http://am-productions.biz
diff -ruN avidemux.orig/pkg-message avidemux/pkg-message
--- avidemux.orig/pkg-message	Wed Dec  8 14:08:07 2004
+++ avidemux/pkg-message	Wed Dec 31 19:00:00 1969
@@ -1,3 +0,0 @@
-Remove any encore2.h, encore.h, and decore.h that you may have moved to the
-${PREFIX}/include directory since it may cause the built program to crash
-when opening a file.  
--- avidemux-die.patch ends here ---
Comment 1 Sergey Matveychuk freebsd_committer 2004-12-09 00:12:07 UTC
State Changed
From-To: open->closed

Committed, thanks!